<?php
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
include '../config.php';

function user_ID(){
  global $db;
  do {
    $user_id = rand(100000,999999);
    $idKontrol = $db->query("SELECT COUNT(*) FROM kullanicilar WHERE user_id = '$user_id'")->fetchColumn();
  }

  while ($idKontrol != 0);
  return ($user_id);
}



for ($i=0; $i < 50; $i++) { 
	# code...


// İsim Alma Başlangıç
		$dosya = fopen("isim.txt","r"); 
		while($satir = fgets($dosya,1024)) 
		$isimler[] = $satir; 
		fclose($dosya);

		$dosyb = fopen("soyisim.txt","r"); 
		while($satir = fgets($dosyb,1024)) 
		$soyisimler[] = $satir; 
		fclose($dosyb);

		$gelen = ucwords(strtolower(trim($isimler[rand(0,count($isimler)-1)])));
		$isim = trim($gelen)." ".ucwords(strtolower($soyisimler[rand(0,count($soyisimler)-1)])); 
		$isim2 = str_replace("\n",'', $isim);
// İsim Alma Bitiş

// Şehir Başlangıç
		$dosya = fopen("il.txt","r"); 
			while($satir = fgets($dosya,1024)) 
		{
				$iller[] = $satir; 
		}
		fclose($dosya); 
		$il = $iller[rand(0,count($iller)-1)]; 
		$il2 = str_replace("\n",'', $il);
// Şehir Bitiş

$num = count(glob("img/*",GLOB_BRACE));

if($num==0){
die();
}

// Resim Alma Başlangıç
		$resim	   = glob("img/*.{jpg,jpeg}",GLOB_BRACE);
		shuffle($resim);
		$file_name = $resim[0];
		$file_link = base64_encode(file_get_contents($file_name));
		$file_type = pathinfo($file_link, PATHINFO_EXTENSION);
// Resim Alma Bitiş



$suan = $file_name;
$yeni = str_replace("img/", "../assets/people/", $suan);

	

$fileMoved = rename($suan, $yeni);
$yeni2 = str_replace("../assets/people/", "assets/people/", $yeni);
echo $yeni2;
echo "==> OK<br />";

$user_id = user_ID();
$name = $isim2;
$email = 'fake@fake.com';
$password = md5('123456');
$ulke = "Türkiye";
$sehir = $il2;
$yas = rand(18,39);
$bio = "Deneme Biyografi";
$cinsiyet = "kadin";
$profilresmi = str_replace("../", "", $yeni2);
$ip = "::0";
$kayit = time();
$dil = "tr";
$boy = rand(155,180);
$kilo = rand(48,80);



$query = $db->prepare("INSERT INTO kullanicilar SET
user_id = ?,
user_fullname = ?,
user_email = ?,
user_pass = ?,
user_picture = ?,
user_yas = ?,
user_boy = ?,
user_kilo = ?,
user_cinsiyet = ?,
user_ip = ?,
user_bot = ?,
user_kayit = ?,
user_songiris = ?,
user_sehir = ?");
$insert = $query->execute(array(
    $user_id, $name, $email, $password, $profilresmi, $yas, $boy, $kilo, $cinsiyet, $ip, 1, $kayit, $kayit, $sehir
));
// if ( $insert ){
//     $last_id = $db->lastInsertId();
//     print "insert işlemi başarılı!<br />";
// }









if($i == 49){
	exit;
	//echo '<meta http-equiv="refresh" content="2">';
}





}

?>